org.eclipse.ease.lang.python.debugger

## Interface IPythonScriptRegistry

All Superinterfaces:
  IScriptRegistry

All Known Implementing Classes:
  PythonEventDispatchJob, PythonScriptRegistry

    public interface IPythonScriptRegistry
    extends IScriptRegistry

Extension of `IScriptRegistry` to also add mapping from `Script` used in EASE world to `String` used in Python world.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getReference(Script script)` Return the reference `String` for this `Script`.
`Script` `getScript(java.lang.String reference)` Return the `Script` identified by this reference `String`.

### Methods inherited from interface org.eclipse.ease.debugging.IScriptRegistry

`getResource, getScript, put`

### Method Detail

#### getScript

    Script getScript(java.lang.String reference)

Return the `Script` identified by this reference `String`.

Parameters:
  `reference` - Reference `String` to get `Script` for.
Returns:
  `Script` identified by reference `String` or `null` if no mapping found.

#### getReference

    java.lang.String getReference(Script script)

Return the reference `String` for this `Script`.

Parameters:
  `script` - `Script` to get reference `String` for.
Returns:
  Reference `String` for `Script` or `null` if no mapping found.